- Qt 5.15
- Qt Wayland Compositor
- QML Types
- XdgShellV6 QML Type
- Qt 5.15.19 Reference Documentation

# XdgShellV6 QML Type

Provides an extension for desktop-style user interfaces. More...

Import Statement: | import QtWayland.Compositor 1.15
Since: | Qt 5.10

- List of all members, including inherited members

## Signals

- pong(int serial)
- popupCreated(XdgPopupV6 popup, XdgSurfaceV6 xdgSurface)
- toplevelCreated(XdgToplevelV6 toplevel, XdgSurfaceV6 xdgSurface)
- xdgSurfaceCreated(XdgSurfaceV6 xdgSurface)

## Methods

- void ping(WaylandClient client)

## Detailed Description

The XdgShellV6 extension provides a way to associate a XdgToplevelV6 or XdgPopupV6 with a regular Wayland surface. Using the XdgToplevelV6 interface, the client can request that the surface is resized, moved, and so on.

XdgShellV6 corresponds to the Wayland interface, `zxdg_shell_v6`.

To provide the functionality of the shell extension in a compositor, create an instance of the XdgShellV6 component and add it to the list of extensions supported by the compositor:

     import QtWayland.Compositor 1.15

     WaylandCompositor {
         XdgShellV6 {
             // ...
         }
     }

## Signal Documentation

pong(int serial)

This signal is emitted when the client has responded to a ping event with serial, serial.

Note: The corresponding handler is `onPong`.

See also ping().

popupCreated(XdgPopupV6 popup, XdgSurfaceV6 xdgSurface)

This signal is emitted when the client has created a `zxdg_popup_v6`. A common use case is to let the handler of this signal instantiate a ShellSurfaceItem or WaylandQuickItem for displaying popup in a QtQuick scene.

xdgSurface is the XdgSurfaceV6 popup is the role object for.

Note: The corresponding handler is `onPopupCreated`.

toplevelCreated(XdgToplevelV6 toplevel, XdgSurfaceV6 xdgSurface)

This signal is emitted when the client has created a `zxdg_toplevel_v6`. A common use case is to let the handler of this signal instantiate a ShellSurfaceItem or WaylandQuickItem for displaying toplevel in a QtQuick scene.

xdgSurface is the XdgSurfaceV6 toplevel is the role object for.

Note: The corresponding handler is `onToplevelCreated`.

xdgSurfaceCreated(XdgSurfaceV6 xdgSurface)

This signal is emitted when the client has created a `zxdg_surface_v6`. Note that xdgSurface is not mapped, i.e. according to the `xdg-shell` protocol it should not be displayed, until it has received a role object.

Note: The corresponding handler is `onXdgSurfaceCreated`.

See also toplevelCreated() and popupCreated().

## Method Documentation

void ping(WaylandClient client)

Sends a ping event to client. If the client replies to the event the pong signal will be emitted.